diff --git a/changelog b/changelog
index c7ce080..77cfac3 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080222 tpd src/hyper/bookvol11 add additional hyperdoc page translations
 20080222 tpd src/input/gamma.input 7099 logGamma vs log(Gamma) 
 20080221 wxh src/interp/sfsfun.boot increase precision of PI (236)
 20080221 tpd src/input/gamma.input investigate complex gamma issues
diff --git a/src/hyper/bookvol11.pamphlet b/src/hyper/bookvol11.pamphlet
index b9f36fc..1bfc01b 100644
--- a/src/hyper/bookvol11.pamphlet
+++ b/src/hyper/bookvol11.pamphlet
@@ -567,6 +567,7 @@ PAGES=rootpage.xhtml \
             dbopmonicdivide.xhtml \
             dbopmulmod.xhtml \
             dbopncols.xhtml \
+            dbopnegativeq.xhtml \
             dbopnew.xhtml \
             dbopnextprime.xhtml \
             dbopnorm.xhtml \
@@ -589,6 +590,7 @@ PAGES=rootpage.xhtml \
             dboppi.xhtml \
             dbopplus.xhtml \
             dboppolygamma.xhtml \
+            dboppositiveq.xhtml \
             dboppositiveremainder.xhtml \
             dbopprefixragits.xhtml \
             dbopprevprime.xhtml \
@@ -9254,6 +9256,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dbopnegativeq.xhtml}
+<<dbopnegativeq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnegativeq not implemented
+<<page foot>>
+@
+
 \subsection{dbopnew.xhtml}
 <<dbopnew.xhtml>>=
 <<standard head>>
@@ -9474,6 +9486,16 @@ the operations will have extra ones added at some stage.
 <<page foot>>
 @
 
+\subsection{dboppositiveq.xhtml}
+<<dboppositiveq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppositiveq not implemented
+<<page foot>>
+@
+
 \subsection{dboppositiveremainder.xhtml}
 <<dboppositiveremainder.xhtml>>=
 <<standard head>>
@@ -38401,20 +38423,215 @@ to display the full list of operations defined by
 \subsection{numquotientfields.xhtml}
 <<numquotientfields.xhtml>>=
 <<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
  </head>
  <body>
 <<page head>>
-      numquotientfields not implemented
+The <a href="db.xhtml?Fraction">Fraction</a> domain implements quotients.
+The elements must belong to a domain of category 
+<a href="db.xhtml?IntegralDomain">IntegralDomain</a>: multiplication 
+must be commutative and the product of two non-zero elements must not be
+zero. This allows you to make fractions of most things you would think of,
+but don't expect to create a fraction of two matrices. The abbreviation for
+<a href="db.xhtml?Fraction">Fraction</a> is
+<a href="db.xhtml?Fraction">FRAC</a>.
+
+Use <a href="dbopdivide.xhtml">/</a> to create a fraction.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="a:=11/12" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="b:=23/24" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The standard arithmetic operations are available.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="3-a*b^2+a+b/a" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Extract the numerator and denominator by using 
+<a href="dbopnumer.xhtml">numer</a> and <a href="dbopdenom.xhtml">denom</a>,
+respectively.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="numer(a)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="denom(b)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Operations like 
+<a href="dbopmax.xhtml">max</a>, <a href="dbopmin.xhtml">min</a>,
+<a href="dbopnegativeq.xhtml">negative?</a>,
+<a href="dboppositiveq.xhtml">positive?</a>, and
+<a href="dbopzeroq.xhtml">zero?</a> are all available if they are
+provided for the numerators and denominators. See
+<a href="numintegers.xhtml?Integer">Integer</a> for examples.
+
+Don't expect a useful answer from 
+<a href="dbopfactor.xhtml">factor</a>,
+<a href="dbopgcd.xhtml">gcd</a>, or
+<a href="dboplcm.xhtml">lcm</a> if you apply them to fractions.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="r:=(x^2+2*x+1)/(x^2-2*x+1)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Since all non-zero fractions are invertible, these operations have
+trivial definitions.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value="factor(r)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopmap.xhtml">map</a> to apply 
+<a href="dbopfactor.xhtml">factor</a> to the numerator and denominator,
+which is probably what you mean.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p8']);"
+    value="map(factor,r)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+
+Other forms of fractions are available, Use
+<a href="dbopcontinuedfraction.xhtml">continuedFraction</a>
+to create a continued fraction.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="continuedFraction(7/12)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Use <a href="dboppartialfraction.xhtml">partialFraction</a> to create a
+partial fraction. 
+See <a href="numcontinuedfractions.xhtml">continuedFraction</a>
+and <a href="numpartialfractions.xhtml">PartialFraction</a> for
+additional information and examples.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="partialFraction(7,12)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+Use conversion to create alternative views of fractions with objects
+moved in and out of the numerator and denominator.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="g:=2/3+4/5*%i" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+Conversion is discussed in detail in 
+<a href="axbook/section-2.7.xhtml">Conversion</a>.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p11','p12']);"
+    value="g::FRAC COMPLEX INT" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
 <<page foot>>
 @
 
 \subsection{numrationalnumbers.xhtml}
 <<numrationalnumbers.xhtml>>=
 <<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
  </head>
  <body>
 <<page head>>
-      numrationalnumbers not implemented
+Like integers, rational numbers can be arbitrarily large. For example:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="61657^10/999983^12" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Rational numbers will not be converted to decimals unless you explicitly
+ask Axiom to do so. To convert a rational number to a decimal, use the
+function <a href="dbopnumeric.xhtml">numeric</a>. Here's an example:
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="x:=104348/33215" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="numeric x" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+You can find the numerator and denominator of rational numbers using the
+functions <a href="dbopnumer.xhtml">numer</a> and
+<a href="dbopdenom.xhtml">denom</a>, respectively.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="numer(x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="denom(x)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+To factor the numerator and denominator of a fraction, use the following
+command:
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p2','p6']);"
+    value="factor(numer x)/factor(denom x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
 <<page foot>>
 @
 
